{
    "name": "数字农服",
    "appid": "__UNI__FD09823",
    "description": "数字农服 APP",
    "versionName": "1.0.19",
    "versionCode": 10019,
    "transformPx": false,
    "locale": "zh-Hans",
    "vueVersion": "3",
    /* 5+App特有相关 */ // 配置文件详细说明
    // https://uniapp.dcloud.net.cn/collocation/manifest-app.html#full-manifest
    "app-plus": {
        "usingComponents": true,
        "nvueCompiler": "uni-app",
        "nvueStyleCompiler": "uni-app",
        "nvueLaunchMode": "fast",
        "compilerVersion": 3,
        "splashscreen": {
            "alwaysShowBeforeRender": false,
            "autoclose": false,
            "waiting": true
        },
        "screenOrientation": [
            "portrait-primary",
            "landscape-primary"
        ],
        "compatible": {
            // 忽略版本提示
            "ignoreVersion": true
        },
        /* 模块配置 */
        "modules": {
            "Geolocation": {},
            "Camera": {},
            "VideoPlayer": {},
            "Barcode": {},
            "Bluetooth": {}
        },
        /* 应用发布信息 */
        "distribute": {
            /* android打包配置 */
            "android": {
                "permissions": [
                    "<uses-permission android:name=\"android.permission.CHANGE_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.MOUNT_UNMOUNT_FILESYSTEMS\"/>",
                    "<uses-permission android:name=\"android.permission.VIBRATE\"/>",
                    "<uses-permission android:name=\"android.permission.READ_LOGS\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_WIFI_STATE\"/>",
                    "<uses-feature android:name=\"android.hardware.camera.autofocus\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CAMERA\"/>",
                    "<uses-permission android:name=\"android.permission.GET_ACCOUNTS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_PHONE_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CHANGE_WIFI_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.WAKE_LOCK\"/>",
                    "<uses-permission android:name=\"android.permission.FLASHLIGHT\"/>",
                    "<uses-feature android:name=\"android.hardware.camera\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_SETTINGS\"/>"
                ],
                "permissionPhoneState": {
                    // app首次启动关闭权限申请
                    "request": "none"
                },
                "minSdkVersion": 23,
                "targetSdkVersion": 30,
                "abiFilters": [
                    "armeabi-v7a",
                    "arm64-v8a"
                ]
            },
            /* ios打包配置 */
            "ios": {
                "dSYMs": false,
                "privacyDescription": {
                    "NSUserTrackingUsageDescription": "请放心，开启权限不会获取您在其他站点的隐私信息，该权限仅用于标识设备并保障服务安全与提示浏览体验",
                    "NSLocationAlwaysAndWhenInUseUsageDescription": "该应用需要你的地理位置，以便检查你当前位置信息",
                    "NSLocationAlwaysUsageDescription": "该应用需要你的地理位置，以便检查你当前位置信息",
                    "NSLocationWhenInUseUsageDescription": "该应用需要你的地理位置，以便检查你当前位置信息",
                    "NSPhotoLibraryUsageDescription": "请允许访问您的照片图库，以便能够上传应用异常问题的截图"
                }
            },
            /* SDK配置 */
            "sdkConfigs": {
                "ad": {},
                "statics": {},
                "geolocation": {
                    "system": {
                        "__platform__": [
                            "ios",
                            "android"
                        ]
                    }
                }
            },
            "icons": {
                "android": {
                    "hdpi": "unpackage/res/icons/72x72.png",
                    "xhdpi": "unpackage/res/icons/96x96.png",
                    "xxhdpi": "unpackage/res/icons/144x144.png",
                    "xxxhdpi": "unpackage/res/icons/192x192.png"
                },
                "ios": {
                    "appstore": "unpackage/res/icons/1024x1024.png",
                    "ipad": {
                        "app": "unpackage/res/icons/76x76.png",
                        "app@2x": "unpackage/res/icons/152x152.png",
                        "notification": "unpackage/res/icons/20x20.png",
                        "notification@2x": "unpackage/res/icons/40x40.png",
                        "proapp@2x": "unpackage/res/icons/167x167.png",
                        "settings": "unpackage/res/icons/29x29.png",
                        "settings@2x": "unpackage/res/icons/58x58.png",
                        "spotlight": "unpackage/res/icons/40x40.png",
                        "spotlight@2x": "unpackage/res/icons/80x80.png"
                    },
                    "iphone": {
                        "app@2x": "unpackage/res/icons/120x120.png",
                        "app@3x": "unpackage/res/icons/180x180.png",
                        "notification@2x": "unpackage/res/icons/40x40.png",
                        "notification@3x": "unpackage/res/icons/60x60.png",
                        "settings@2x": "unpackage/res/icons/58x58.png",
                        "settings@3x": "unpackage/res/icons/87x87.png",
                        "spotlight@2x": "unpackage/res/icons/80x80.png",
                        "spotlight@3x": "unpackage/res/icons/120x120.png"
                    }
                }
            },
            "splashscreen": {
                "useOriginalMsgbox": true
            }
        },
        "uniStatistics": {
            "enable": true
        },
        "nativePlugins": {
            "lemonjk-FileSelect": {
                "appid_android": "com.yiring.app.agri",
                "__plugin_info__": {
                    "name": "FileSelect",
                    "description": "文件选取插件",
                    "platforms": "Android,iOS",
                    "url": "",
                    "android_package_name": "",
                    "ios_bundle_id": "com.yiring.app.agri",
                    "isCloud": false,
                    "bought": -1,
                    "pid": "",
                    "parameters": {
                        "appid_android": {
                            "des": "请填写你当前应用的包名，必需填写，否则可能无法使用。（在菜单中->发行->原生App-云打包中可以查看包名信息）",
                            "key": "",
                            "value": ""
                        }
                    }
                }
            }
        }
    },
    "uniStatistics": {
        "enable": true,
        "version": "2",
        "debug": false
    },
    /* 快应用特有相关 */
    "quickapp": {},
    /* 小程序特有相关 */
    "mp-weixin": {
        "appid": "",
        "setting": {
            "urlCheck": false
        },
        "usingComponents": true
    },
    "mp-alipay": {
        "usingComponents": true
    },
    "mp-baidu": {
        "usingComponents": true
    },
    "mp-toutiao": {
        "usingComponents": true
    }
}
